# Retrieve an FX quote

Retrieving an existing FX quote.For Account Payouts customers only.

Endpoint: GET /foreignExchange/quote
Version: 1
Security: basicAuth

## Query parameters:

  - `entity` (string, required)
    6-digit reference given to you by your Implementation Manager during the onboarding process.
    Example: "100001"

  - `quoteId` (string, required)
    Unique ID of the quote.
    Example: "Q000000001"

## Header parameters:

  - `Accept` (string, required)
    Example: "application/vnd.worldpay.foreignexchange-v1+json"

  - `WP-CorrelationId` (string)
    Optional ID to trace requests, if not provided, it is generated.
    Example: "15cd16b2-7b82-41cb-9b11-21be9dacad88"

## Response 200 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `entity` (string)
    6-digit reference given to you by your Implementation Manager during the onboarding process.
    Example: "100001"

  - `intent` (string)
    Transaction type (intention) for which rates should be retrieved.
    Example: "PAYOUT"

  - `quote` (array)
    A collection of quote items.

  - `quote.quoteId` (string)
    Unique quote id.
    Example: "Q000000001"

  - `quote.sourceCurrency` (string)
    The debit currency.
    Example: "EUR"

  - `quote.targetCurrency` (string)
    The credit currency.
    Example: "GBP"

  - `quote.rateId` (string)
    Unique rate id.
    Example: "12345678"

  - `quote.rate` (string)
    Rate amount.
    Example: "1.2345"

  - `quote.quoteExpiryTime` (string)
    Quote start time.
    Example: "2025-01-10T12:00:00.000Z"

## Response 401 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 403 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 404 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 500 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message


